org.keycloak.social.openshift

## Class OpenshiftV4IdentityProviderFactory

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<OpenshiftV4IdentityProvider>
  - - org.keycloak.social.openshift.OpenshiftV4IdentityProviderFactory

- All Implemented Interfaces:
    IdentityProviderFactory<OpenshiftV4IdentityProvider>, SocialIdentityProviderFactory<OpenshiftV4IdentityProvider>, ProviderFactory<OpenshiftV4IdentityProvider>

      public class OpenshiftV4IdentityProviderFactory
      extends AbstractIdentityProviderFactory<OpenshiftV4IdentityProvider>
      implements SocialIdentityProviderFactory<OpenshiftV4IdentityProvider>

  OpenShift 4 Identity Provider factory class.
  Author:
    David Festal and Sebastian Łaskawiec

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`
    `static String` | `PROVIDER_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenshiftV4IdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OpenshiftV4IdentityProvider` | `create(KeycloakSession keycloakSession, IdentityProviderModel identityProviderModel)` Creates an `IdentityProvider` based on the configuration contained in `model`.
    `OpenshiftV4IdentityProviderConfig` | `createConfig()` Creates a provider specific `IdentityProviderModel` instance.
    `String` | `getId()`
    `String` | `getName()` A friendly name for this factory.

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderFactory

      `close, create, init, parseConfig, postInit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderFactory

      `parseConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, init, order, postInit`

- - ### Field Detail

    - #### PROVIDER_ID

          public static final String PROVIDER_ID

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OpenshiftV4IdentityProviderFactory

          public OpenshiftV4IdentityProviderFactory()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `IdentityProviderFactory`

      A friendly name for this factory.

      Specified by:
        `getName` in interface `IdentityProviderFactory<OpenshiftV4IdentityProvider>`
      Returns:

    - #### create

          public OpenshiftV4IdentityProvider create(KeycloakSession keycloakSession,
                                                    IdentityProviderModel identityProviderModel)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration contained in `model`.

      Specified by:
        `create` in interface `IdentityProviderFactory<OpenshiftV4IdentityProvider>`
        `identityProviderModel` - The configuration to be used to create the identity provider.
      Returns:

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<OpenshiftV4IdentityProvider>`

    - #### createConfig

          public OpenshiftV4IdentityProviderConfig createConfig()

      Description copied from interface: `IdentityProviderFactory`

      Creates a provider specific `IdentityProviderModel` instance.

      Providers may want to implement their own `IdentityProviderModel` type so that validations can be performed when managing the provider configuration

      Specified by:
        `createConfig` in interface `IdentityProviderFactory<OpenshiftV4IdentityProvider>`
      Returns:
        the provider specific instance

Copyright © 2021 JBoss by Red Hat. All rights reserved.